Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.xsql
Class XSQLStylesheetProcessor

`java.lang.Object
oracle.xml.xsql.XSQLStylesheetProcessor`

      public final class XSQLStylesheetProcessor

extends java.lang.Object

XSLT Stylesheet Processing Engine

Field Summary
`static char` `APOS`
`static char` `QUOTE`

Constructor Summary
`XSQLStylesheetProcessor()`

Method Summary
`static Document` `processToDocument(Document xml, java.lang.String xslURI, XSQLPageRequest env)`
`static void` `processToWriter(Document xml, java.lang.String xslURI, XSQLPageRequest env)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUOTE

    public static final char QUOTE

  See Also:
    Constant Field Values

### APOS

    public static final char APOS

  See Also:
    Constant Field Values

Constructor Detail

### XSQLStylesheetProcessor

    public XSQLStylesheetProcessor()

Method Detail

### processToDocument

    public static Document processToDocument(Document xml,
                                             java.lang.String xslURI,
                                             XSQLPageRequest env)
                                      throws java.lang.Exception,
                                             SAXParseException,
                                             XSLException,
                                             java.io.FileNotFoundException

  Throws:
    `java.lang.Exception`
    `SAXParseException`
    `XSLException`
    `java.io.FileNotFoundException`

### processToWriter

    public static void processToWriter(Document xml,
                                       java.lang.String xslURI,
                                       XSQLPageRequest env)
                                throws java.lang.Exception,
                                       SAXParseException,
                                       XSLException,
                                       java.io.FileNotFoundException

  Throws:
    `java.lang.Exception`
    `SAXParseException`
    `XSLException`
    `java.io.FileNotFoundException`

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.